Subject: Re: [PATCH] fetch-pack: write effective filter to trace2

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Jul 2022 10:56:45 -0700

Jonathan Tan <[email-masked]> writes:

> ... that the user is not using, but fetch is I/O-intensive enough
> and having the empty message is useful enough (not only do we not need
> to know which versions have this feature, but we also can be sure that
> the message wasn't excluded because of some unexpected log filtering or
> something like that) that I think we should have the empty message. I'll
> put it in v2 but we can easily remove it if we decide that we don't want
> it.

As long as it is clearly documented that "none" is given explicitly
when no filtering is requested (Jeff's point of making it possible
to tell the reason why we are not requesting is still valid), I
think it would be OK.  If we are giving enough log entries for
"fetch" operation, another "empty" message would not hurt (if the
trace for "fetch" is otherwise very quiet, then an unused "empty"
may become distracting, but I somehow do not think it is the case).

Thanks.